Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5117)
@@ -2461,5 +2461,5 @@
         enddo !do j=1,m        
 
-        if (iso_verif_traceur_nostop) THEN
+        IF (iso_verif_traceur_nostop) THEN
             WRITE(*,*) 'erreur detectée par verif positif ', &
                  'dans iso_verif_traceur_vect'
@@ -2475,5 +2475,5 @@
 
         SUBROUTINE iso_verif_tracnps(x,err_msg)
-        use isotrac_mod, ONLY: ridicule_trac
+        USE isotrac_mod, ONLY: ridicule_trac
 
         IMPLICIT NONE
@@ -2486,5 +2486,5 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
 
@@ -2492,7 +2492,7 @@
        !integer iso_verif_tracnps_choix_nostop  
 
-        if (iso_verif_tracnps_choix_nostop(x,err_msg, &
+        IF (iso_verif_tracnps_choix_nostop(x,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac) &
-             .eq.1) THEN
+             .EQ.1) THEN
                 stop
         endif
@@ -2510,13 +2510,13 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
-       real seuil
+       REAL seuil
 
        ! locals
        !integer iso_verif_tracpos_choix_nostop  
 
-        if (iso_verif_tracpos_choix_nostop(x,err_msg,seuil) &
-             .eq.1) THEN
+        IF (iso_verif_tracpos_choix_nostop(x,err_msg,seuil) &
+             .EQ.1) THEN
                 stop
         endif
@@ -2532,14 +2532,14 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
-       real errmax,errmaxrel,ridicule_trac_loc,deltalimtrac
+       REAL errmax,errmaxrel,ridicule_trac_loc,deltalimtrac
 
        ! locals
        !integer iso_verif_traceur_choix_nostop  
 
-        if (iso_verif_traceur_choix_nostop(x,err_msg, &
+        IF (iso_verif_traceur_choix_nostop(x,err_msg, &
              errmax,errmaxrel,ridicule_trac_loc,deltalimtrac) &
-             .eq.1) THEN
+             .EQ.1) THEN
                 stop
         endif
@@ -2548,5 +2548,5 @@
 
         function iso_verif_traceur_nostop(x,err_msg)
-        use isotrac_mod, ONLY: ridicule_trac
+        USE isotrac_mod, ONLY: ridicule_trac
         !use isotopes_verif, ONLY: errmax,errmaxrel,deltalimtrac
         IMPLICIT NONE
@@ -2559,9 +2559,9 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
 
        ! output
-       integer iso_verif_traceur_nostop
+       INTEGER iso_verif_traceur_nostop
 
        ! locals
@@ -2583,5 +2583,5 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
 
@@ -2591,11 +2591,11 @@
 
         ! verif noNaN
-        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) THEN
+        IF (iso_verif_traceur_noNaN_nostop(x,err_msg).EQ.1) THEN
              stop
         endif 
         
         ! verif masse
-        if (iso_verif_tracm_choix_nostop(x,err_msg, &
-                 errmax,errmaxrel).eq.1) THEN
+        IF (iso_verif_tracm_choix_nostop(x,err_msg, &
+                 errmax,errmaxrel).EQ.1) THEN
              stop
         endif    
@@ -2611,9 +2611,9 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
 
        ! output
-       integer iso_verif_traceur_jm_nostop
+       INTEGER iso_verif_traceur_jm_nostop
 
        ! locals
@@ -2623,11 +2623,11 @@
         iso_verif_traceur_jm_nostop=0
 !        ! verif noNaN
-!        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) THEN
+!        if (iso_verif_traceur_noNaN_nostop(x,err_msg).EQ.1) THEN
 !             iso_verif_traceur_jm_nostop=1
 !        endif 
         
         ! verif masse
-        if (iso_verif_tracm_choix_nostop(x,err_msg, &
-                 errmax,errmaxrel).eq.1) THEN
+        IF (iso_verif_tracm_choix_nostop(x,err_msg, &
+                 errmax,errmaxrel).EQ.1) THEN
              iso_verif_traceur_jm_nostop=1
         endif   
@@ -2637,10 +2637,10 @@
         SUBROUTINE iso_verif_tag17_q_deltaD_vect(x,n,m,err_msg)
         USE isotopes_mod, ONLY: tnat,iso_eau, ridicule,iso_HDO
-        use isotrac_mod, ONLY: option_traceurs,nzone_temp
+        USE isotrac_mod, ONLY: option_traceurs,nzone_temp
         IMPLICIT NONE
 
         ! inputs
-        integer n,m
-        real x(ntraciso,n,m)
+        INTEGER n,m
+        REAL x(ntraciso,n,m)
         character*(*) err_msg
 
@@ -2648,9 +2648,9 @@
         !integer iso_verif_positif_nostop
         !real deltaD
-        integer ieau,ixt,ieau1
-        integer i,k
-
-        if ((option_traceurs.eq.17).or. &
-                 (option_traceurs.eq.18)) THEN
+        INTEGER ieau,ixt,ieau1
+        INTEGER i,k
+
+        IF ((option_traceurs.EQ.17).OR. &
+                 (option_traceurs.EQ.18)) THEN
         ! verifier que deltaD du tag de la couche la plus haute <
         ! 200 permil, et vérifier que son q est inférieur à 
@@ -2660,6 +2660,6 @@
         do i=1,n
          do k=1,m
-           if (x(ieau,i,k).gt.ridicule) THEN
-             if ((x(ixt,i,k)/x(ieau,i,k)/tnat(iso_HDO)-1)*1000 &
+           IF (x(ieau,i,k).gt.ridicule) THEN
+             IF ((x(ixt,i,k)/x(ieau,i,k)/tnat(iso_HDO)-1)*1000 &
                   .gt.-200.0) THEN
                 WRITE(*,*) err_msg,', vect:deltaDt05 trop fort'
@@ -2669,5 +2669,5 @@
              endif !if (iso_verif_positif_nostop(-200.0-deltaD(x(ixt),x(ieau)),
            endif !if (x(ieau).gt.ridicule) THEN
-           if (x(ieau,i,k).gt.2.0e-3) THEN
+           IF (x(ieau,i,k).gt.2.0e-3) THEN
                 WRITE(*,*) err_msg,', vect:qt05 trop fort'
                 WRITE(*,*) 'i,k=',i,k
@@ -2675,6 +2675,6 @@
                 stop
            endif !if (iso_verif_positif_nostop(1.0e-3-x(ieau),
-           if (x(iso_eau,i,k).lt.2.0e-3) THEN
-                if (x(ieau1,i,k)/x(iso_eau,i,k).gt.0.1) THEN
+           IF (x(iso_eau,i,k).lt.2.0e-3) THEN
+                IF (x(ieau1,i,k)/x(iso_eau,i,k).gt.0.1) THEN
                    WRITE(*,*) err_msg,', vect: qt01 trop abondant'
                    WRITE(*,*) 'i,k=',i,k
@@ -2689,5 +2689,5 @@
         enddo !do i=1,n
 
-        endif !if (option_traceurs.eq.17) THEN
+        endif !if (option_traceurs.EQ.17) THEN
         END SUBROUTINE  iso_verif_tag17_q_deltaD_vect
 
@@ -2695,10 +2695,10 @@
         SUBROUTINE iso_verif_tag17_q_deltaD_vect_ret3D(x,n,m,nq,err_msg)
         USE isotopes_mod, ONLY: tnat,iso_eau,iso_HDO,ridicule
-        use isotrac_mod, ONLY: option_traceurs,nzone_temp
+        USE isotrac_mod, ONLY: option_traceurs,nzone_temp
         IMPLICIT NONE
 
         ! inputs
-        integer n,m,nq
-        real x(n,m,nq,ntraciso)
+        INTEGER n,m,nq
+        REAL x(n,m,nq,ntraciso)
         character*(*) err_msg
 
@@ -2706,9 +2706,9 @@
         !integer iso_verif_positif_nostop
         !real deltaD
-        integer ieau,ixt,ieau1
-        integer i,k,iq
-
-        if ((option_traceurs.eq.17).or. &
-                 (option_traceurs.eq.18)) THEN
+        INTEGER ieau,ixt,ieau1
+        INTEGER i,k,iq
+
+        IF ((option_traceurs.EQ.17).OR. &
+                 (option_traceurs.EQ.18)) THEN
         ! verifier que deltaD du tag de la couche la plus haute <
         ! 200 permil, et vérifier que son q est inférieur à 
@@ -2719,6 +2719,6 @@
         do i=1,n
          do k=1,m
-           if (x(i,k,iq,ieau).gt.ridicule) THEN
-             if ((x(i,k,iq,ixt)/x(i,k,iq,ieau)/tnat(iso_HDO)-1)*1000 &
+           IF (x(i,k,iq,ieau).gt.ridicule) THEN
+             IF ((x(i,k,iq,ixt)/x(i,k,iq,ieau)/tnat(iso_HDO)-1)*1000 &
                   .gt.-200.0) THEN
                 WRITE(*,*) err_msg,', vect:deltaDt05 trop fort'
@@ -2728,5 +2728,5 @@
              endif !if (iso_verif_positif_nostop(-200.0-deltaD(x(ixt),x(ieau)),
            endif !if (x(ieau).gt.ridicule) THEN
-           if (x(i,k,iq,ieau).gt.2.0e-3) THEN
+           IF (x(i,k,iq,ieau).gt.2.0e-3) THEN
                 WRITE(*,*) err_msg,', vect:qt05 trop fort'
                 WRITE(*,*) 'i,k=',i,k
@@ -2734,6 +2734,6 @@
                 stop
            endif !if (iso_verif_positif_nostop(1.0e-3-x(ieau),
-           if (x(i,k,iq,iso_eau).lt.2.0e-3) THEN
-                if (x(i,k,iq,ieau1)/x(i,k,iq,iso_eau).gt.0.1) THEN
+           IF (x(i,k,iq,iso_eau).lt.2.0e-3) THEN
+                IF (x(i,k,iq,ieau1)/x(i,k,iq,iso_eau).gt.0.1) THEN
                    WRITE(*,*) err_msg,', vect: qt01 trop abondant'
                    WRITE(*,*) 'i,k=',i,k
@@ -2749,14 +2749,14 @@
         enddo ! do iq=1,nq
 
-        endif !if (option_traceurs.eq.17) THEN
+        endif !if (option_traceurs.EQ.17) THEN
         END SUBROUTINE  iso_verif_tag17_q_deltaD_vect_ret3D
 
 
 #endif
-! endif ISOTRAC
+! END IF ISOTRAC
 
 END MODULE isotopes_verif_mod
 
 #endif         
-! endif ISOVERIF 
-
+! END IF ISOVERIF
+
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_mod.F90	(revision 5117)
@@ -4,5 +4,5 @@
 MODULE isotrac_mod
   USE infotrac_phy,      ONLY: niso, ntiso, nzone
-  USE readTracFiles_mod, ONLY: delPhase
+  USE lmdz_readTracFiles, ONLY: delPhase
   USE isotopes_mod,      ONLY: ridicule, get_in
 
@@ -149,5 +149,5 @@
    USE isotopes_mod, ONLY: iso_eau, ntracisoOR, initialisation_iso
    USE dimphy,       ONLY: klon, klev
-   USE  strings_mod, ONLY: int2str, strStack, strTail, strHead, strIdx, fmsg
+   USE  lmdz_strings, ONLY: int2str, strStack, strTail, strHead, strIdx, fmsg
 
    IMPLICIT NONE
